Subject: bug#25912: 2.1.7 segfaults on cygwin

From: Andy Wingo <[email-masked]>
Date: Mon, 06 Mar 2017 20:41:56 +0100

Hi :)

On Thu 02 Mar 2017 10:13, szgyg <[email-masked]> writes:

> load_thunk_from_memory doesn't call mprotect because in loader.c
> line 436 the ELF segment is aligned to 4k while page size is 64k.

Ah, thank you for tracking this down.  I think we were going to just
change the page size to 64K for .go files but I can't remember.  I think
libc's loader doesn't actually align the pages on disk but projects
segments of the file onto the memory image.

What platform is this that has 64K pages?  IIUC cygwin's usual size is
4096 bytes.

Andy